"""
Quick test module
"""
from panda3d.core import loadPrcFileData
from direct.showbase.ShowBase import ShowBase

class MyApp(ShowBase):
    """
    Quick test class
    """

    def __init__(self):
        ShowBase.__init__(self)

        self.scene = self.loader.loadModel("models/untitled.blend")
        self.scene.reparentTo(self.render)

        # Modify the default camera
        self.disableMouse()
        self.camera.setPos(7.3589, 6.9258, 4.9583)
        self.camera.lookAt(0, 0, 0)


def repro():
    """
    Quick repro
    """

    loadPrcFileData("",
    """
        model-cache-dir
        audio-library-name null # Prevent ALSA errors
        show-frame-rate-meter 0
        sync-video 0
    """ )

    base = MyApp()
    base.run()

repro()
